GO Loader Aviation 1.2 is here! Take a look at what's new.

All versions
ATM Viewer 1.1
ATM Viewer 2.0

ATM Viewer 2.0

Navigate space

Child pages
  • Minimum Hardware and Software Requirements
Skip to end of metadata
Go to start of metadata

ATM Viewer

ATM Viewer can be installed and operated on most entry-level PCs or Laptops. The following table summarises the hardware and software requirements for ATM Viewer:

Hardware/ Software

Requirement

Operating System

Windows 7 (32bit/64bit)
Linux (32bit/64bit)
MacOS X

Processor

MinimumIntel® Pentium® 4 processor, AMD Athlon™, or comparable Celeron®/Duron™ CPUs running at 1.6 GHz or better
Recommended: Intel Pentium 4 processor, AMD Athlon, or comparable Celeron/Duron CPUs running at 2.x GHz or better

Physical memory (RAM)

Minimum: 1Gb

Graphics Card

ATM Viewer is based on NASA Worldwind so please view their minimum requirements listed on their download page.

"A 3D video card with updated drivers is necessary. World Wind has been tested on Nvidia, ATI/AMD, and Intel platforms using Windows, MacOS 10.4, and Fedora Core 6."

Java

Java version 1.7

NOTE: Java 64bit is required for 64bit machines

If you are are installing ATM Viewer on Windows, we highly recommended selecting the installer that is bundled with JRE, as explained in the download section.

 

Further Reading

Ready to download ATM Viewer?

  • No labels